************************************************************************
* PROCEDURE MCIFORM
******************
***    Author: Rick Strahl
***            (c) West Wind Technologies, 1996
***   Contact: (541) 386-2087  / 76427.2363@compuserve.com
***  Modified: 01/25/96
***  Function: Wrapper function for the MCIFORM class.
***      Pass: lcFile  -   File that contains ".WAV"
***                        File that contains ".AVI"
***                        "CD AUDIO"
***                        If file is not found a GetFile dialog
***                        prompts for a file. If nothing is passed
***                        the AVI viewer comes up by default.
*************************************************************************
LPARAMETER lcFile
PUBLIC oMCIWaveForm,oMCIVideoForm, oMCI2VideoForm, oMCICDForm

lcFile=IIF(type("lcFile")="C",lcFile,"")

SET CLASSLIB TO MCIFORM ADDITIVE

DO CASE
CASE ATC("CD PLAYER",lcFile)>0
   oMCICDForm=CREATE("mciCDForm")
   oMCICDForm.Show
CASE ATC("WAV",lcFile)>0
  oMCIWaveForm=CREATE("mciWaveform",lcFile)
  oMCIWaveForm.Show
OTHERWISE
  oMCIVideoForm=CREATE("mciVideoform",lcFile)
  oMCIVideoForm.Show

*-*  *** Test Multiple instances  
*-*  oMCI2VideoForm=CREATE("mciVideoform","welcome1.avi")
*-*  oMCI2VideoForm.top=oMCI2VideoForm.top+20
*-*  oMCI2VideoForm.left=oMCI2VideoForm.left+50
*-*  oMCI2VideoForm.Show

ENDCASE

RETURN